<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.134
Name: Hielprikverzoek (geen patiënt)
Description: Hielprikverzoekgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000">
   <title>Hielprikverzoek (geen patiënt)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]"
         id="tmp-r-dc3b7efe-943f-4161-b0a6-06b88d756270">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']])&gt;=1 and not(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/@nullFlavor)">(Hielprikverzoek): element hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']])&lt;=1">(Hielprikverzoek): element hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]"
         id="tmp-r-d9a57aca-78b9-4139-ac78-af70d556e6e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@classCode)='SPECCOLLECT'">(Hielprikverzoek): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@moodCode)='RQO'">(Hielprikverzoek): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:realmCode[@code='NL'])&gt;=1 and not(hl7:realmCode[@code='NL']/@nullFlavor)">(Hielprikverzoek): element hl7:realmCode[@code='NL'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:realmCode[@code='NL'])&lt;=1">(Hielprikverzoek): element hl7:realmCode[@code='NL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']/@nullFlavor)">(Hielprikverzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&lt;=1">(Hielprikverzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Hielprikverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(Hielprikverzoek): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(Hielprikverzoek): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1 and not(hl7:statusCode[@code='active']/@nullFlavor)">(Hielprikverzoek): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(Hielprikverzoek): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]])&lt;=1">(Hielprikverzoek): element hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]])&lt;=1">(Hielprikverzoek): element hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:subjectOf6)&lt;=1">(Hielprikverzoek): element hl7:subjectOf6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:realmCode[@code='NL']
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:realmCode[@code='NL']"
         id="tmp-r-77a421b3-b4ba-481d-b2ba-7dbbac43c4c5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NL')">(Hielprikverzoek): de elementwaarde MOET zijn code 'NL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']"
         id="tmp-r-853ca488-9ee3-4c95-ab3c-1604a5d3a4f0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.134'">(Hielprikverzoek): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.134' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:id
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:id"
         id="tmp-r-064d2814-443e-41c6-b049-87aa930ff73a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-ad83955f-e279-4cbe-adf8-76dfe570c18e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Hielprikverzoek): de elementwaarde MOET zijn W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Hielprikverzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)">(Hielprikverzoek): reason kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason">(Hielprikverzoek): reason moet de reden bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)">(Hielprikverzoek): pertinentInformation kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation">(Hielprikverzoek): pertinentInformation moet het setnummer vorige hielprik bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)">(Hielprikverzoek): subjectOf6 kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:statusCode[@code='active']
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:statusCode[@code='active']"
         id="tmp-r-0c9680f7-ba8e-41bc-a44a-067e7cda1fa2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active')">(Hielprikverzoek): de elementwaarde MOET zijn code 'active'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]"
         id="tmp-r-3037bbc1-defb-4604-a38d-6cf441877b8e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&gt;=1 and not(hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/@nullFlavor)">(Hielprikverzoek): element hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&lt;=1">(Hielprikverzoek): element hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]"
         id="tmp-r-8e2eab2a-bce1-4a2a-8f52-2eab31370347">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@classCode)='ALRT'">(Hielprikverzoek): de waarde van @classCode MOET 'ALRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(Hielprikverzoek): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(Hielprikverzoek): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-710865f8-16ed-4a24-838f-fccef082a5e9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Hielprikverzoek): de elementwaarde MOET zijn W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Hielprikverzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@displayName or not(@code)">(Hielprikverzoek): @displayName is verplicht</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]"
         id="tmp-r-0ebc8e22-da18-484b-91ba-c62668c044db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@typeCode)='REFR'">(Hielprikverzoek): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]])&gt;=1 and not(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/@nullFlavor)">(Hielprikverzoek): element hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]])&lt;=1">(Hielprikverzoek): element hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]"
         id="tmp-r-d0519244-8dbc-4427-80d1-444bb23dcf71">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@classCode)='DOC'">(Hielprikverzoek): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(Hielprikverzoek): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor])&gt;=1 ">(Hielprikverzoek): element hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor])&lt;=1">(Hielprikverzoek): element hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/hl7:id
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/hl7:id"
         id="tmp-r-b5496d9f-ce25-4d10-9808-c6c131cfe5fb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]"
         id="tmp-r-930bc824-d591-419a-aab1-e2ffa5015ccc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(Hielprikverzoek): de elementwaarde MOET zijn code '1432' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6"
         id="tmp-r-b97c8b24-41c1-45ae-bb1f-4e5a0cf8f6fb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)">(Hielprikverzoek): element hl7:seperatableInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(Hielprikverzoek): element hl7:seperatableInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(Hielprikverzoek): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(Hielprikverzoek): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:seperatableInd
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:seperatableInd"
         id="tmp-r-1f4f7404-b56f-41bd-9e78-31878c5fb3e5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@value)='false'">(Hielprikverzoek): de waarde van @value MOET 'false' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation"
         id="tmp-r-e5a5acab-e76d-42ed-9ded-bbd6b971e98b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@classCode)='ACT'">(Hielprikverzoek): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Hielprikverzoek): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(Hielprikverzoek): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(Hielprikverzoek): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(Hielprikverzoek): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(Hielprikverzoek): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:author)&lt;=1">(Hielprikverzoek): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:text
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:text"
         id="tmp-r-c7ea5a07-75bd-41ef-a924-fcaa60239a74">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:statusCode[@code='completed']
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:statusCode[@code='completed']"
         id="tmp-r-9dfac093-f74e-4d76-804d-73b183f1c058">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or (@code='completed')">(Hielprikverzoek): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author"
         id="tmp-r-94ea353f-38a1-45ff-9029-dab0363d8ebe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(Hielprikverzoek): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(Hielprikverzoek): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity"
         id="tmp-r-d2d00df5-5c11-4d09-a9a5-7579e1ce55a7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED'">(Hielprikverzoek): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Hielprikverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id
Item: (Hielprikverzoek)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-r-a0ae6197-2914-4d51-b131-03c02f80fac5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
