<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.130
Name: Bericht 5 Hielprikverzoek (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000">
   <title>Bericht 5 Hielprikverzoek (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]"
         id="tmp-r-78325840-4163-4295-a89d-2f145c0e36ab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']])&gt;=1 and not(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]"
         id="tmp-r-a45dcc42-d8ed-4606-95e5-a24506cd12af">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='SPECCOLLECT'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='RQO'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:realmCode[@code='NL'])&gt;=1 and not(hl7:realmCode[@code='NL']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:realmCode[@code='NL'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:realmCode[@code='NL'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:realmCode[@code='NL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1 and not(hl7:statusCode[@code='active']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]])&gt;=1 and not(hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:subjectOf6)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:subjectOf6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:realmCode[@code='NL']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:realmCode[@code='NL']"
         id="tmp-r-31094a92-db51-4cf8-b2b4-f2375d16df9d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NL')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code 'NL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']"
         id="tmp-r-1e279f47-1cf8-4423-99de-be88bbe2ec0b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.130'">(VersturenHielprikverzoek-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.130' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:id
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:id"
         id="tmp-r-2df81cd8-8b6d-4077-af71-188d8b47a173">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-0640dac7-c95b-4f39-b5f2-532c63528dad">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(VersturenHielprikverzoek-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)">(VersturenHielprikverzoek-payload): reason kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason">(VersturenHielprikverzoek-payload): reason moet de reden bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)">(VersturenHielprikverzoek-payload): pertinentInformation kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation">(VersturenHielprikverzoek-payload): pertinentInformation moet het setnummer vorige hielprik bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)">(VersturenHielprikverzoek-payload): subjectOf6 kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:statusCode[@code='active']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:statusCode[@code='active']"
         id="tmp-r-aaf01bae-e5eb-4f0a-a64c-9365744d38e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code 'active'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]]
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <let name="patRoot" value="'2.16.840.1.113883.2.4.6.3'"/>
      <let name="patExt"
           value="(hl7:patient/hl7:id[@root=$patRoot])[1]/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(ancestor::*/hl7:attentionLine) or not(hl7:patient/hl7:id[@root=$patRoot and @extension]) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]">(VersturenHielprikverzoek-payload): De patiënt in de Payload (BSN '<value-of select="$patExt"/>') moet overeen komen met de patient in de attentionLine (BSN '<value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>')</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']])&gt;=1 and not(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']])&gt;=1 and not(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.172'">(VersturenHielprikverzoek-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.172' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172' or @root='2.16.840.1.113883.2.4.6.10.100.103']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.103'">(VersturenHielprikverzoek-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.103' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]"
         id="tmp-r-b8cd55ee-e73f-4d84-aad1-104d155f1ef6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&gt;=1 and not(hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]"
         id="tmp-r-a0efd141-652b-4079-9fb2-0404d87fd151">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='ALRT'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ALRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:act[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-0f785b3b-dd00-4ef7-885e-eedbc6a1f05e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(VersturenHielprikverzoek-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@displayName or not(@code)">(VersturenHielprikverzoek-payload): @displayName is verplicht</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]"
         id="tmp-r-2041e000-746a-4ef9-b950-50501293aba0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='REFR'">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]])&gt;=1 and not(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]"
         id="tmp-r-d5093c76-52de-4ec7-b25e-71d310bca4e7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='DOC'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor])&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/hl7:id
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/hl7:id"
         id="tmp-r-becb2b66-24ab-48a1-9159-a63931b7dbae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]]/hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]]/hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or @nullFlavor]"
         id="tmp-r-9d2f9c2a-7658-4b6b-b054-0f2aba1bbb3b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code '1432' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6"
         id="tmp-r-5eb61981-69ce-4ddc-8fd4-cfa5458671cc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:seperatableInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:seperatableInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:seperatableInd
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:seperatableInd"
         id="tmp-r-e3e4dc5d-5fe4-4666-bb92-d759c7f3dd2f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@value)='false'">(VersturenHielprikverzoek-payload): de waarde van @value MOET 'false' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation"
         id="tmp-r-c205e3d6-691b-40b1-b808-b7735fafc3e2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='ACT'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:author)&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:author is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:author)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:text
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:text"
         id="tmp-r-9cad5ba7-310f-4312-9538-67532883eb7e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:statusCode[@code='completed']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:statusCode[@code='completed']"
         id="tmp-r-edcfa6cb-7f01-4e6f-805c-4018dea815ee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='completed')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author"
         id="tmp-r-fc8cac29-7137-4691-855b-f4e10065867c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity"
         id="tmp-r-17ee9e3c-da4b-4997-8305-17d51f8ea81a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-r-1d522d70-f21d-4995-b6d1-d14bb36ba301">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI' or not(@nullFlavor)">(VersturenHielprikverzoek-payload): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>
</pattern>
